// Programma per determinare la data di domani

#include <stdio.h>

int main ()
{
  struct date
  {
    int month;
    int day;
    int year;
  };

  struct date today, tomorrow;

  const int daysPerMonth[12] = { 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };

  printf ("Digita la data odierna (gg mm aaaa): ");
  scanf ("%d%d%d", &today.day, &today.month, &today.year);

  if ( today.day != daysPerMonth[today.month - 1] ) {
    tomorrow.day = today.day + 1;
    tomorrow.month = today.month;
    tomorrow.year = today.year;
  }
  else if ( today.month == 12 ) {   // ultimo dell'anno
    tomorrow.day = 1;
    tomorrow.month = 1;
    tomorrow.year = today.year + 1;
  }
  else {                            // ultimo del mese
    tomorrow.day = 1;
    tomorrow.month = today.month + 1;
    tomorrow.year = today.year;
  }
  
  printf ("La data di domani e' %d/%d/%.2d.\n", tomorrow.day, tomorrow.month, tomorrow.year % 100);

   return 0;
}
